Update External Mapping - m3ter Documentation

Update External Mapping

cURL

curl --request PUT \
  --url https://api.m3ter.com/organizations/{orgId}/externalmappings/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "m3terEntity": "Account",
  "m3terId": "00000000-0000-0000-0000-000000000000",
  "externalSystem": "Stripe",
  "externalTable": "Customer",
  "externalId": "cus_00000000000000",
  "version": 123,
  "integrationConfigId": "00000000-0000-0000-0000-000000000000"
}
'```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/externalmappings/{id}"

payload = {
    "m3terEntity": "Account",
    "m3terId": "00000000-0000-0000-0000-000000000000",
    "externalSystem": "Stripe",
    "externalTable": "Customer",
    "externalId": "cus_00000000000000",
    "version": 123,
    "integrationConfigId": "00000000-0000-0000-0000-000000000000"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    m3terEntity: 'Account',
    m3terId: '00000000-0000-0000-0000-000000000000',
    externalSystem: 'Stripe',
    externalTable: 'Customer',
    externalId: 'cus_00000000000000',
    version: 123,
    integrationConfigId: '00000000-0000-0000-0000-000000000000'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/externalmappings/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/externalmappings/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",\n  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'm3terEntity' => 'Account',
    'm3terId' => '00000000-0000-0000-0000-000000000000',
    'externalSystem' => 'Stripe',
    'externalTable' => 'Customer',
    'externalId' => 'cus_00000000000000',
    'version' => 123,
    'integrationConfigId' => '00000000-0000-0000-0000-000000000000'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/externalmappings/{id}"

payload := strings.NewReader("{\n  \"m3terEntity\": \"Account\",\n  \"m3terId\": \"00000000-0000-0000-0000-000000000000\",\n  \"externalSystem\": \"Stripe\",\n  \"externalTable\": \"Customer\",\n  \"externalId\": \"cus_00000000000000\",\n  \"version\": 123,\n  \"integrationConfigId\": \"00000000-0000-0000-0000-000000000000\"}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.put("https://api.m3ter.com/organizations/{orgId}/externalmappings/{id}")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"m3terEntity\": \"Account\",\n  \"m3terId\": \"00000000-0000-0000-0000-000000000000\",\n  \"externalSystem\": \"Stripe\",\n  \"externalTable\": \"Customer\",\n  \"externalId\": \"cus_00000000000000\",\n  \"version\": 123,\n  \"integrationConfigId\": \"00000000-0000-0000-0000-000000000000\"}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.m3ter.com/organizations/{orgId}/externalmappings/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"m3terEntity\": \"Account\",\n  \"m3terId\": \"00000000-0000-0000-0000-000000000000\",\n  \"externalSystem\": \"Stripe\",\n  \"externalTable\": \"Customer\",\n  \"externalId\": \"cus_00000000000000\",\n  \"version\": 123,\n  \"integrationConfigId\": \"00000000-0000-0000-0000-000000000000\"}";

response = http.request(request)
puts response.read_body

Response

Success Response 200

{
  "id": "<string>",
  "m3terEntity": "Account",
  "m3terId": "00000000-0000-0000-0000-000000000000",
  "externalSystem": "Stripe",
  "externalTable": "Customer",
  "externalId": "cus_00000000000000",
  "version": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "integrationConfigId": "00000000-0000-0000-0000-000000000000"
}

Error Responses

4XX
{
  "message": "<string>"
}
5XX
{
  "message": "<string>"
}

Authorization

Authorization: Bearer <token>